Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class MBeanRegistrationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.management.JMException
                  javax.management.MBeanException
                      javax.management.MBeanRegistrationException

All Implemented Interfaces:
  java.io.Serializable

public class MBeanRegistrationException
extends MBeanException

Wraps exceptions thrown by the preRegister(), preDeregister() methods of the `MBeanRegistration` interface.

See Also:
  Serialized Form

Constructor Summary
`MBeanRegistrationException(java.lang.Exception e)` Creates an `MBeanRegistrationException` that wraps the actual `java.lang.Exception`.
`MBeanRegistrationException(java.lang.Exception e, java.lang.String message)` Creates an `MBeanRegistrationException` that wraps the actual `java.lang.Exception` with a detailed message.

Methods inherited from class javax.management.MBeanException
`getCause, getTargetException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MBeanRegistrationException

    public MBeanRegistrationException(java.lang.Exception e)

  Creates an `MBeanRegistrationException` that wraps the actual `java.lang.Exception`.

Parameters:
  `e` - the wrapped exception.

### MBeanRegistrationException

    public MBeanRegistrationException(java.lang.Exception e,
                                      java.lang.String message)

  Creates an `MBeanRegistrationException` that wraps the actual `java.lang.Exception` with a detailed message.

Parameters:
  `e` - the wrapped exception.
  `message` - the detail message.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.